--@description Midi Editor; Tracks Volume Down -0.05 db
--@version 1.0
--@author MaxMusiMax
-- #######################################
-- #######################################
function print_rs (param)
	reaper.ShowConsoleMsg (tostring (param) .. "\n");
end
-- #######################################
-- #######################################
reaper.PreventUIRefresh(1);
-- #######################################
-- #######################################
-- print_rs (track)

--[[
]]--
local nudge = -0.1 -- Здесь можно выставить шаг уменьшения громкости трека

function VOL(db) return 10^(0.05*db) end
function DB(vol) return 20*math.log(vol, 10) end

local midi_editor = reaper.MIDIEditor_GetActive () -- возвращает индекс на сфокусированное окно MIDI редактора
local take_active = reaper.MIDIEditor_GetTake ( midi_editor ) -- получить индекс активного тэйка
local track_active_take = reaper.GetMediaItemTake_Track ( take_active ) -- получить индекс трека активного тэйка

local take_active_name = reaper.GetTakeName( take_active ) -- получить имя активного тэйка
local vol = reaper.GetMediaTrackInfo_Value(track_active_take, 'D_VOL')
reaper.SetMediaTrackInfo_Value(track_active_take, 'D_VOL',VOL(DB(vol)+nudge))
-- #######################################
-- #######################################
reaper.PreventUIRefresh(-1);
reaper.TrackList_AdjustWindows(0)  -- Updates the window view
reaper.UpdateArrange();  -- Updates the window view